package de.apps4ics.mountainnavigation;

import android.content.Context;

import com.survivingwithandroid.weather.lib.model.Weather;

/**
 * Created by Vinz on 06.03.2016.
 */
public class WeatherHandler {
    private Context context;
    private WeatherDatabase weatherDb;

    public WeatherHandler(Context context) {
        weatherDb = new WeatherDatabase(context);
    }

    public void getCurrentWeather() {
        getCurrentWeather(0);
    }

    /**
     *
     * @param offset number of days (in the past) to search for result in the cache, only for getCurrentWeatherCached
     */
    public void getCurrentWeather(int offset) {

    }

    private void getCurrentWeatherOnline() {

    }

    private void getCurrentWeatherCached(int offset) {

    }

    public void getForecast(long start, long end, int step) {
        getForecast(start, end, step, 0);
    }

    public void getForecast(long start, long end, int step, int offset) {

    }

    public void getForecastOnline(long start, long end, int step) {

    }

    public void getForecastCached(long start, long end, int step, int offset) {

    }

    private void convertWeatherLibWeather(Weather weather) {

    }

    private void insertIntoDatabase(MyWeather weather) {
        weatherDb.insertWeather(weather);
    }
}
